### Method

# EBackend Cache set_revision

since: 3.26

#### Declaration [src]

    void
    e_cache_set_revision (
      ECache* cache,
      const gchar* revision
    )

#### Description [src]

Sets the `revision` of the whole `cache`. This is not meant to be used by the descendants, because the revision is updated automatically when needed. The descendants can listen to “revision-changed” signal.

Available since: 3.26

#### Parameters

`revision`

  Type: `const gchar*`

  A revision to set; use `NULL` to unset it.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.